curl --request GET \
--url https://docurise.io/api/preview/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://docurise.io/api/preview/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://docurise.io/api/preview/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docurise.io/api/preview/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://docurise.io/api/preview/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://docurise.io/api/preview/folders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://docurise.io/api/preview/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"title": "Onboarding kit",
"kind": "folder",
"parentId": null,
"documentCount": 4,
"itemCount": 6,
"createdAt": "2026-09-20T09:00:00.000Z",
"updatedAt": "2026-09-28T14:30:00.000Z"
},
{
"id": "9c1d7e34-2b6a-4f55-8e0b-5a3c1d9e2f40",
"title": "Notion for founders",
"kind": "course",
"parentId": null,
"documentCount": 0,
"itemCount": 12,
"createdAt": "2026-09-01T09:00:00.000Z",
"updatedAt": "2026-09-01T09:00:00.000Z"
},
{
"id": "5e2a9b17-4c3d-4e8f-a6b1-7d0c2e1f3a98",
"title": "Templates",
"kind": "folder",
"parentId": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"documentCount": 2,
"itemCount": 2,
"createdAt": "2026-09-21T09:00:00.000Z",
"updatedAt": "2026-09-21T09:00:00.000Z"
}
],
"nextCursor": null
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}List folders and courses
List your folders and courses with item counts
curl --request GET \
--url https://docurise.io/api/preview/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://docurise.io/api/preview/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://docurise.io/api/preview/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docurise.io/api/preview/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://docurise.io/api/preview/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://docurise.io/api/preview/folders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://docurise.io/api/preview/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"title": "Onboarding kit",
"kind": "folder",
"parentId": null,
"documentCount": 4,
"itemCount": 6,
"createdAt": "2026-09-20T09:00:00.000Z",
"updatedAt": "2026-09-28T14:30:00.000Z"
},
{
"id": "9c1d7e34-2b6a-4f55-8e0b-5a3c1d9e2f40",
"title": "Notion for founders",
"kind": "course",
"parentId": null,
"documentCount": 0,
"itemCount": 12,
"createdAt": "2026-09-01T09:00:00.000Z",
"updatedAt": "2026-09-01T09:00:00.000Z"
},
{
"id": "5e2a9b17-4c3d-4e8f-a6b1-7d0c2e1f3a98",
"title": "Templates",
"kind": "folder",
"parentId": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"documentCount": 2,
"itemCount": 2,
"createdAt": "2026-09-21T09:00:00.000Z",
"updatedAt": "2026-09-21T09:00:00.000Z"
}
],
"nextCursor": null
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}Authorizations
A key generated from Settings → Developers, sent as
Authorization: Bearer dr_live_<12 hex chars>_<64 hex chars>. Keys
carry explicit scopes — each endpoint states the one it requires.
The full key is shown exactly once at generation time and cannot be
retrieved again; only the keyId prefix is shown afterward. A
revoked key fails auth on its very next request.
Query Parameters
Only folders whose title contains this text (case-insensitive, 1-100 characters). Matched as plain text, so % and _ are not wildcards. Must not contain a NUL character (%00); one is rejected with VALIDATION_ERROR.
1 - 100Only folders (folder) or only courses (course).
folder, course Page size, 1-100. Default 20; larger values are clamped to 100.
1 <= x <= 100Only folders directly inside this folder (a folder id), or root for top-level folders. Omit it to list all folders and courses, including nested ones.
The nextCursor of the previous page. Opaque; do not build or edit it. A cursor this API did not issue to you returns 400 INVALID_CURSOR (not retryable).
512